Bug 1275033 - Unowned directory /usr/lib/python3.4/site-packages/gramps
Unowned directory /usr/lib/python3.4/site-packages/gramps
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gramps (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-25 01:30 EDT by Ralf Corsepius
Modified: 2015-11-05 18:24 EST (History)
3 users (show)

See Also:
Fixed In Version: gramps-4.2.1-1.fc23 gramps-4.1.3-2.fc21 gramps-4.1.3-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-04 15:52:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2015-10-25 01:30:00 EDT
Description of problem:

# rpm -qf /usr/lib/python3.4/site-packages/gramps
file /usr/lib/python3.4/site-packages/gramps is not owned by any package

Version-Release number of selected component (if applicable):
All current versions for fc21, fc22, fc23 and rawhide

E.g.: 
gramps-common-4.2.0-1.fc23.noarch
gramps-4.2.0-1.fc23.noarch

How reproducible:
Always

Steps to Reproduce:
C.f. above

Actual results:
c.f. above

Expected results:
The directory /usr/lib/python3.4/site-packages/gramps to be owned.

Additional info:
- This bug causes gramps to not uninstall properly. After uninstalling gramps-common, /usr/lib/python3.4/site-packages/gramps stays on disk.
- Due to the fact gramps requires: gramps-common, letting the gramps-common package own this directory should be sufficient. Another approach would be to let both gramps-common and gramps own the directory.
Comment 1 Fedora Update System 2015-10-26 09:18:36 EDT
gramps-4.1.3-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-055971c878
Comment 2 Fedora Update System 2015-10-26 09:18:42 EDT
gramps-4.2.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-ed5ce966c8
Comment 3 Fedora Update System 2015-10-26 22:18:15 EDT
gramps-4.2.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gramps'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-ed5ce966c8
Comment 4 Fedora Update System 2015-10-28 14:21:18 EDT
gramps-4.1.3-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gramps'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-fa6e50a9c9
Comment 5 Fedora Update System 2015-10-28 16:25:37 EDT
gramps-4.1.3-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gramps'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-055971c878
Comment 6 Fedora End Of Life 2015-11-04 11:00:33 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora Update System 2015-11-04 15:52:53 EST
gramps-4.2.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2015-11-05 16:49:17 EST
gramps-4.1.3-2.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-11-05 18:24:08 EST
gramps-4.1.3-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.